STOREBACKUPUPDATEBACKUP(1)

NAME
storeBackupUpdateBackup.pl - updates / finalizes backups created by storeBackup.pl with option --lateLink, --lateCompress

SYNOPSIS
        storeBackupUpdateBackup.pl -b backupDirectory [--autorepair]
              [--print] [--verbose] [--debug] [--lockFile] [--noCompress]
              [--progressReport number] [--checkOnly] [--copyBackupOnly]
              [--dontCopyBackup] [-A archiveDurationDeltaCache]
              [--dontDelInDeltaCache]
              [--logFile
               [--suppressTime] [-m maxFilelen]
               [[-n noOfOldFiles] | [--saveLogs]]
               [--compressWith compressprog]]

        storeBackupUpdateBackup.pl --interactive --backupDir topLevlDir
              [--autorepair] [--print]

        storeBackupUpdateBackup.pl --genBackupBaseTreeConf directory

        storeBackupUpdateBackup.pl --genDeltaCacheConf directory

WARNING
  !!! USAGE IN PARALLEL WITH storeBackup.pl CAN DESTROY YOUR BACKUPS !!!

OPTIONS

--interactive, -i
        interactive mode for reparing / deleting currupted
        backups created with option '--lateLinks'

--backupDir, -b
        top level directory of all backups (must exist)

--autorepair, -a
        repair simple inconsistencies automaticly without
        requesting the action

--print
        print configuration read from configuration file and stop

--verbose, -v
        verbose messages

--debug, -d
        generate detailed information about the files
        with the linking information in it

--lockFile, -L
        lock file, if exist, new instances will finish if
        an old is already running
        If set to the same file as in storeBackup it will
        prevent $prog from running in parallel
        to storeBackup, default is $lockFile

--noCompress
        maximal number of parallel compress operations,
        default = choosen automatically

--checkOnly -c
        do not perform any action, only check consistency

--copyBackupOnly
        only do task to replicate incremental (lateLinks)
        backup; no hard linking, compression, etc.

--dontCopyBackup
        do not do any replication task to copy
        incremental (lateLink) backups
        NOTE: if used on the master cache, this option disrupts the data
        flow for replication!

--archiveDurationDeltaCache -A
        Duration after which already in backupCopy copied and linked
        backups will be deleted. This affects all series in
        deltacaches processedBackups directory.
        The duration has to be specified in format 'dhms', eg.
        10d4h means 10 days and 4 hours, default is 99d
        (similar to option keepAll in storeBackupDel.pl)

--dontDelInDeltaCache do not delete any backup in deltaCache
--progressReport
        print progress report:

    after each 'number' files when compressing
    after each 'number * 1000' files when linking
    after each 'number * 10000' files when performing chmod
--logFile, -l
        logFile, Default: stdout

--suppressTime
        suppress output of time in logfile

--maxFilelen, -m
        maximal length of log file, default = 1e6

--noOfOldFiles, -n
        number of old log files, default = 5

--saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOldFiles])

--compressWith
        compress saved log files (e.g. with 'gzip -9').
        default is 'bzip2'

--genBackupBaseTreeConf
        generate a template of the backup-copy configuration file
        for the backup directories (both source and target)

--genDeltaCacheConf
        generate a template of the backup-copy configuration file
        for the deltaCache directory

COPYRIGHT
Copyright (c) 2008-2012 by Heinz-Josef Claes. Published under the GNU General Public License v3 or any later version